package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdAdditionalPropertiesDTO implements Serializable {

    private static final long serialVersionUID = 671543374107638L;

    private Integer id;

    private Integer refIdFk;

    private String refType;

    private Integer propertyOrder;

    private String propKey;

    private String value;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer connectionIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Integer getRefIdFk() {
    return refIdFk;
    }

        public void setRefIdFk(Integer refIdFk) {
    this.refIdFk = refIdFk;
    }

        public String getRefType() {
    return refType;
    }

        public void setRefType(String refType) {
    this.refType = refType;
    }

        public Integer getPropertyOrder() {
    return propertyOrder;
    }

        public void setPropertyOrder(Integer propertyOrder) {
    this.propertyOrder = propertyOrder;
    }

        public String getPropKey() {
    return propKey;
    }

        public void setPropKey(String propKey) {
    this.propKey = propKey;
    }

        public String getValue() {
    return value;
    }

        public void setValue(String value) {
    this.value = value;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getConnectionIdFk() {
    return connectionIdFk;
    }

        public void setConnectionIdFk(Integer connectionIdFk) {
    this.connectionIdFk = connectionIdFk;
    }

}